package recitations.recitation6;
import bus.uigen.CompleteOEFrame;
import bus.uigen.ObjectEditor;
import recitations.recitation6.autoscaledStrokedLine.AnAutoScaledStrokedLine;
import recitations.recitation6.strokedLine.AStrokedLine;
import recitations.recitation6.strokedLine.StrokedLine;
public class Driver {
	private static final int EDITOR_HEIGHT = 700;
	private static final int EDITOR_WIDTH = 700;

	public static void main(String[] args){

		
		StrokedLine line1 = new AStrokedLine(10,10,100,100,2.0f);
		StrokedLine line2 = new AnAutoScaledStrokedLine(30,40, 30, 40, 10);
		
		StrokedLine[] lines = {line1, line2};
		
		CompleteOEFrame editor = ObjectEditor.edit(lines);
		
		
		editor.showTreePanel();		
		editor.setFullRefreshOnEachOperation(true);
		editor.setSize(EDITOR_WIDTH,EDITOR_HEIGHT);
		

	}
	
    public static void sleep(long interval) {
        try {
            Thread.sleep(interval);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
